Module java.desktop
Package javax.print.attribute.standard

# Class DocumentName

java.lang.Object
javax.print.attribute.TextSyntax
javax.print.attribute.standard.DocumentName

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Attribute`, `DocAttribute`

public final class DocumentName extends TextSyntax implements DocAttribute
Class `DocumentName` is a printing attribute class, a text attribute, that specifies the name of a document. `DocumentName` is an attribute of the print data (the doc), not of the Print Job. A document's name is an arbitrary string defined by the client. However if a JobName is not specified, the `DocumentName` should be used instead, which implies that supporting specification of `DocumentName` requires reporting of JobName and vice versa. See `JobName` for more information.

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentName(String documentName, Locale locale)`
  Constructs a new document name attribute with the given document name and locale.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Returns whether this document name attribute is equivalent to the passed in object.
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.

  ### Methods declared in class javax.print.attribute.TextSyntax

  `getLocale, getValue, hashCode, toString`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentName

    public DocumentName(String documentName, Locale locale)
    Constructs a new document name attribute with the given document name and locale.
    Parameters:
      `documentName` - document name
      `locale` - natural language of the text string. `null` is interpreted to mean the default locale as returned by `Locale.getDefault()`
    Throws:
      `NullPointerException` - if `documentName` is `null`

- ## Method Details

  - ### equals

    public boolean equals(Object object)
    Returns whether this document name attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
    1. `object` is not `null`.
    2. `object` is an instance of class `DocumentName`.
    3. This document name attribute's underlying string and `object`'s underlying string are equal.
    4. This document name attribute's locale and `object`'s locale are equal.
    Overrides:
      `equals` in class `TextSyntax`
    Parameters:
      `object` - `Object` to compare to
    Returns:
      `true` if `object` is equivalent to this document name attribute, `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `DocumentName`, the category is class `DocumentName` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `DocumentName`, the category name is `"document-name"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name